API ReferenceProducts
Search products
Search products with filters, search terms, includes, and sort instructions in a JSON request body.
Search products with filters, search terms, includes, and sort instructions in a JSON request body.
POST
header
AuthorizationBearer <API Key>Provide your SellApp API key as a bearer token.
limit?integerNumber of items to return per page.
Range
1 <= value <= 100Default
15page?integerPage number to return.
Range
1 <= valueDefault
1X-STORE?stringStore slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.
application/json- body
filters?array<|>sort?array<>search?includes?array<>Successful response.
application/json- response
data*array<>links*meta*curl -X POST 'https://sell.app/api/v2/products/search' \ -H 'X-STORE: launch-lab' \ -H 'Content-Type: application/json' \ -d '{ "filters": [ { "field": "id", "operator": "=", "value": 1 } ], "sort": [ { "field": "created_at", "direction": "desc" } ]}'{ "data": [ { "id": 1, "title": "Project Launch Kit", "slug": "project-launch-kit", "description": "<p>A practical guide to planning, testing and launching your project.</p>", "images": [ { "path": "store/1/listings/NM6TBKIMzpFJq1MKTV24oMJ1W4UrKCo7NS98nt4K.png", "metadata": { "size": 39289, "filename": "NM6TBKIMzpFJq1MKTV24oMJ1W4UrKCo7NS98nt4K", "extension": "png", "mime_type": "image/png" } }, { "path": "store/1/listings/ov6XMb68tRr80zl7sqfN1or7xfqqH5WbZygDEQ8X.png", "metadata": { "size": 422373, "filename": "ov6XMb68tRr80zl7sqfN1or7xfqqH5WbZygDEQ8X", "extension": "png", "mime_type": "image/png" } } ], "order": 1, "visibility": "PUBLIC", "delivery_text": "Thanks for your purchase. Your download is ready.", "additional_information": [ { "required": true, "key": "3aecffd000e00e2211e94558007ffc37", "type": "checkbox", "label": "Do you agree to the purchase terms?" } ], "other_settings": { "faq": [ { "answer": "Yes. Adapt the included templates to your project.", "question": "Can I use these templates for my own project?" } ], "video_url": "https://example.com/launch-lab/product-tour", "redirect_url": "https://example.com/post-launch?customer_email=[customer_email]&order_id=[order_id]", "product_title": "Project Launch Kit", "product_description": "Plan, test, and launch your next project." }, "deleted_at": null, "created_at": "2024-01-09T22:56:49.000000Z", "updated_at": "2024-01-10T10:00:28.000000Z", "store_id": 1, "category_id": null, "section_id": null, "section_order": null, "is_discoverable": true, "variants": [ { "id": 1, "title": "Default" } ], "url": "https://launch-lab.sell.app/product/project-launch-kit" } ], "links": { "first": "https://sell.app/api/v2/products/search?page=1", "last": "https://sell.app/api/v2/products/search?page=1", "prev": null, "next": null }, "meta": { "current_page": 1, "from": 1, "last_page": 1, "path": "https://sell.app/api/v2/products/search", "per_page": 15, "to": 1, "total": 1, "links": [ { "url": null, "label": "« Previous", "active": false }, { "url": "https://sell.app/api/v2/products/search?page=1", "label": "1", "active": true }, { "url": null, "label": "Next »", "active": false } ] }}